package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/4 8:23
 */
public class DeviceManagement {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "equipment_seq_gen")
    @SequenceGenerator(name = "equipment_seq_gen", sequenceName = "equipment_id_seq",allocationSize = 1)
    private Integer id;
    /**
     * 设备名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String deviceName;
    /**
     * 设备编码
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String deviceCode;
    /**
     * 设备唯一标识码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String deviceSn;
    /**
     * 设备大类
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private int deviceCategory;
    /**
     * 设备小类
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private int deviceType;
    /**
     * 厂商类型
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String deviceManufacturer;
    /**
     * 设备型号
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String deviceModel;
    /**
     * 设备ip
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String deviceIp;
    /**
     * 设备端口
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private int devicePort;
    /**
     * 设备所属组织
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String ownerCode;
    /**
     * 添加方式
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String loginType;
    /**
     * 登录名称
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String loginName;
    /**
     * 登录密码
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String loginPassword;


    /**
     * 主动注册代理端口
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private int registProxyPort;
    /**
     * 主动注册服务器编码
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String registDeviceCode;
    /**
     * 通道描述
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String memo;
    /**
     * 在线状态
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private int isOnline;
    /**
     * 光栅图
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private long mapId;
    /**
     * 经度
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String gpsX;
    /**
     * 纬度
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String gpsY;
    /**
     * 设备所属子系统
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String subSystem;
    /**
     * 设备扩展属性
     */
    @Column(length = 32, columnDefinition = "varchar(65)")
    private String devExt;

}
